/***************************************************************
 * Name:      listctrl1.h
 * Purpose:   Defines Dialog listctrl1
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-12-02
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef LISTCTRL1_H
#define LISTCTRL1_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/listctrl.h>
#include <wx/itemattr.h>

#include <vector>
#include "tipos.h"

class listctrl1 : public wxDialog
{
    public:
        listctrl1(wxWindow *wnd, datosRepuestos &datos);
        virtual ~listctrl1();
        void InsertaColumnas(wxListCtrl* listCtrl);
        void AsignaImagenes(wxListCtrl* listCtrl);
        void InsertaItems(wxListCtrl* listCtrl);
        void OnItemSelected(wxListEvent& event);
        void OnInsertItem(wxListEvent& event);
        void OnItemactivated(wxListEvent& event);
        void OnItemFocused(wxListEvent& event);
        void OnRadioButton(wxCommandEvent& event);
        void OnOk(wxCommandEvent& event);

    protected:
        enum
        {
            idListCtrl = 1000,
            idRadioBox
        };
        datosRepuestos& data;
        wxListCtrl* listCtrl;
        wxRadioBox* radioBox;

    private:
        void OnClose(wxCloseEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // LISTCTRL1_H
